Package ru.bitel.common.inet

# Class IpAddressRangeSet<R>

java.lang.Object
ru.bitel.common.util.SegmentedRangeSet<IpAddress,byte[],R>
ru.bitel.common.inet.IpAddressRangeSet<R>

public class IpAddressRangeSet<R> extends ru.bitel.common.util.SegmentedRangeSet<IpAddress,byte[],R>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `IpAddressRangeSet.IpAddressSegmenter<R>`
  `static final class`
  `IpAddressRangeSet.IpRanger<R extends IpRange>`

  ## Nested classes/interfaces inherited from class ru.bitel.common.util.SegmentedRangeSet

  `ru.bitel.common.util.SegmentedRangeSet.Segmenter<K extends Object,R extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final Comparator<byte[]>`
  `COMPARATOR`
  `protected final IpAddressRangeSet.IpAddressSegmenter<R>`
  `segmenter`

  ### Fields inherited from class ru.bitel.common.util.SegmentedRangeSet

  `clazz, comparator, notSegmented, ranger, rangerClass, segments`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IpAddressRangeSet(Class<R> clazz, ru.bitel.common.util.Ranger<R,byte[]> ranger, boolean bites, int maskLength)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <K extends IpRange>
  IpAddressRangeSet<K>`
  `newInstance(Class<K> clazz, int maskLength)`

  ### Methods inherited from class ru.bitel.common.util.SegmentedRangeSet

  `add, addAll, get, get, listContains, remove, size`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### COMPARATOR

    protected static final Comparator<byte[]> COMPARATOR

  - ### segmenter

    protected final IpAddressRangeSet.IpAddressSegmenter<R> segmenter

- ## Constructor Details

  - ### IpAddressRangeSet

    public IpAddressRangeSet(Class<R> clazz, ru.bitel.common.util.Ranger<R,byte[]> ranger, boolean bites, int maskLength)

- ## Method Details

  - ### newInstance

    public static <K extends IpRange> IpAddressRangeSet<K> newInstance(Class<K> clazz, int maskLength)